> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sonderplan.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Billable Items

> Billable items can be added to bookings, quotes, and invoices as predefined entries with a fixed unit price.

Examples of billable items include catering services provided to clients, storage fees (typically charged per terabyte), and media transcoding (usually billed per minute).

<Note>`READ` access to the `SALES` module is required to access this endpoint</Note>



## OpenAPI

````yaml /api-reference/openapi-mintlify.yaml get /v2/billable-item
openapi: 3.0.0
info:
  title: Sonderplan API
  description: >
    ## Overview

    You can use our REST API to securely access and modify the data within your
    Sonderplan account. This includes all the information within your bookings,
    projects and invoices that you can use to import / export data or create
    integrations with other systems and software that you use


    ### General Notes


    #### Specifying Fields

    The Sonderplan REST API allows you to specify a comma delimited string of
    exactly which fields are returned, using the `fields` parameter. Using this
    parameter has several advantages including:


    1. In future API versions we may change which fields are presented by
    default, so explicitly specifying the fields required overrides the defaults
    and ensure the fields are served

    2. Limiting fields reduces the processing we need to do and allows us to
    send you the data faster

    3. Some search filters only work if the field you are searching is added to
    the `fields` parameter.


    Example:


    ```

    fields=id,name,start,duration_min

    ```


    ### Applying Filters


    The Query Parameters section in each endpoint shows you special options that
    can be added to your request to customise the response we send you.


    Most endpoints offer the following query params:


    | Query Parameter |
    Description                                                    |

    |-----------------|----------------------------------------------------------------|

    | `fields`        | Only send the specified
    fields                                 |

    | `id`            | Specify one or more ids (comma seperated) of records to
    return |

    | `limit`         | The maximum number of records to
    return                        |

    | `page`          | The page number of records to
    return                           |

    | `order_asc` | Specify which field should be used to sort records
    `ascending` |

    | `order_desc` | Specify which field should be used to sort records
    `descending` |


    In addition to the standard `id` param, you can also specify most other
    fields as a query parameter, useful for performing searching and filtering
    of records.


    For example, you can specify `repeat_master_id=<repeat_booking_id>` to
    return all repeat children of that booking.


    #### Other Query Params


    Refer to the specific API endpoint documentation to see which other query
    params can be used.


    For example, some endpoints allow specifying `updated_after=<UNIX
    TIMESTAMP>` which will only send added, edited and even deleted records that
    were modified after the unix timestamp.


    #### Applying multiple filters


    By default, multiple filters are chained together using **OR** (either
    filter can be true and it will be included). You can change this behaviour
    by specifying `filter_operator=AND`, so each filter must be true to be
    included.


    #### Filtering by Custom Field Values


    For modules that include custom fields, you can search by the value of a
    custom field by adding the `custom_field_<field id>` to the URL query
    parameters. You **must** also specify the custom field in the `fields`
    parameter.


    ```

    GET
    https://api.sonderplan.com/v2/booking?fields=id,name,custom_field_238938&custom_field_238938=Offline

    ```


    This will return custom fields that contain the word 'Offline'.
  contact:
    email: info@sonderplan.com
  version: '2.0'
servers:
  - url: https://api.sonderplan.com
    description: Production Server
security: []
tags:
  - name: Booking
    description: Booking related operations
  - name: Project
    description: Project related operations
  - name: Resource
    description: Resource related operations
  - name: Contact
    description: Contact related operations
  - name: Quote
    description: Quote related operations
  - name: Invoice
    description: Invoice related operations
  - name: Invoice Template
    description: Invoice template related operations
  - name: Billable Item
    description: Billable item related operations
  - name: Rate Scheme
    description: Rate scheme related operations
  - name: Tax
    description: Tax related operations
  - name: Workspace
    description: Workspace (formerly Schedule) related operations
  - name: User
    description: User related operations
  - name: Group
    description: Group related operations
  - name: Status
    description: Status related operations
  - name: Custom Field
    description: Custom field related operations
  - name: Calendar Subscription
    description: Calendar Subscription Import related operations
  - name: Time Entry
    description: Time Entry related operations
  - name: Time Activity
    description: Time Activity related operations
paths:
  /v2/billable-item:
    get:
      tags:
        - Billable Item
      summary: Get Billable Items
      description: >-
        Billable items can be added to bookings, quotes, and invoices as
        predefined entries with a fixed unit price.


        Examples of billable items include catering services provided to
        clients, storage fees (typically charged per terabyte), and media
        transcoding (usually billed per minute).


        <Note>`READ` access to the `SALES` module is required to access this
        endpoint</Note>
      operationId: 0f02a824adc29b7720e4494a6c6012c4
      parameters:
        - name: id
          in: query
          description: One or more (comma seperated) IDs of billable items to retrieve
          schema:
            type: string
            format: string
        - name: name
          in: query
          description: Perform a partial match text search for the billable item name
          schema:
            type: string
        - name: taxes[id]
          in: query
          description: Return billable items based on a tax id attribute
          schema:
            type: string
        - name: taxes[name]
          in: query
          description: Return billable items based on a tax name attribute
          schema:
            type: string
        - $ref: '#/components/parameters/fields'
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/order_asc'
        - $ref: '#/components/parameters/order_desc'
        - $ref: '#/components/parameters/filter_operator'
      responses:
        '200':
          description: Successful Operation
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/BillableItem'
                  meta:
                    $ref: '#/components/schemas/pagination'
                type: object
        '401':
          description: Authorization information is missing or invalid
      security:
        - bearer: []
components:
  parameters:
    fields:
      name: fields
      in: query
      description: Comma seperated list of fields you wish to return
      schema:
        type: string
      example: id,name
    page:
      name: page
      in: query
      description: Specify the page of results you wish to return
      schema:
        type: integer
    limit:
      name: limit
      in: query
      description: The number of results returned per page. Default if not specified is 10
      schema:
        type: integer
    order_asc:
      name: order_asc
      in: query
      description: >-
        Specify the field (with type of string or integer) you wish to order
        (ascending) the response with
      schema:
        type: string
    order_desc:
      name: order_desc
      in: query
      description: >-
        Specify the field (with type of string or integer) you wish to order
        (descending) the response with
      schema:
        type: string
    filter_operator:
      name: filter_operator
      in: query
      description: Specify if multiple filters should be combined with OR or AND logic
      schema:
        type: string
        default: OR
        enum:
          - OR
          - AND
  schemas:
    BillableItem:
      title: Billable Item Model
      description: Standard billable item model
      type: object
      allOf:
        - properties:
            id:
              description: Billable Item ID
              type: integer
              example: 92834
            name:
              description: Name of the billable item
              type: string
              example: Aspera Upload
            description:
              description: Description of the billable item
              type: string
              example: Upload to Aspera (per TB)
            unit_name:
              description: Name of the unit this is charged as
              type: string
              example: Terabyte
            buy_cost:
              description: Total cost to you of the billable item
              type: integer
              format: float
              example: '10.00'
            sell_cost:
              description: Total cost to your customer of the billable item
              type: integer
              format: float
              example: '20.00'
            taxes:
              type: array
              items:
                $ref: '#/components/schemas/InvoiceItemTaxes'
            custom_fields:
              type: array
              items:
                $ref: '#/components/schemas/CustomFieldOnObject'
            currency:
              description: Currency code (three character format) that this invoice is in
              type: string
              example: AUD
          type: object
        - $ref: '#/components/schemas/commonModelMeta'
    pagination:
      title: Pagination Meta Model
      properties:
        pagination:
          $ref: '#/components/schemas/meta'
      type: object
    InvoiceItemTaxes:
      title: Invoice Item Taxes
      description: Standard invoice item taxes model that returns tax information
      properties:
        id:
          description: Unique id of the tax applied
          type: integer
          example: 3247
        name:
          description: Name of the tax
          type: string
          example: GST
        rate:
          description: Rate of the tax
          type: string
          example: '10.00'
        total:
          description: Total amount of tax
          type: string
          format: float
          example: '151.00'
      type: object
    CustomFieldOnObject:
      title: Custom Field Module Value
      description: Used to show the values of custom fields on linked modules
      properties:
        id:
          description: The ID of the custom field
          type: integer
          example: 7823
        name:
          description: The name of the custom field
          type: string
          example: Type
        value:
          description: The text value of the custom field, null if not defined
          type: string
          example: Video Editing
        value_id:
          description: >-
            The ID of the selected option, (applied only if the custom field is
            of type `select`)
          type: integer
          example: 8973
        update_key:
          description: The update key to pass back when updating this field
          type: string
          example: '2_1_7823'
          deprecated: true
      type: object
    commonModelMeta:
      title: Common Meta Model
      properties:
        created_id:
          description: The unique ID of the person (user) who created this record
          type: integer
          readOnly: true
          example: 3
        created:
          description: The UNIX time value of the creation time
          type: integer
          readOnly: true
          example: 1388552400
        updated_id:
          description: The unique ID of the person (user) who last updated this record
          type: integer
          readOnly: true
          example: 3
        updated:
          description: The UNIX time value of the last update
          type: integer
          readOnly: true
          example: 1388552400
      type: object
    meta:
      title: Page Meta Model
      properties:
        total:
          type: integer
          example: 1
        count:
          type: integer
          example: 1
        per_page:
          type: integer
          example: 1
        current_page:
          type: integer
          example: 1
      type: object
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````